fox1.6 (1.6.54-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * debian/control: Upgrade to Standards-Version 4.0.0 (no changes).
  * Remove Joachim Wiedorn as Uploader.
  * Mark libfox-1.6-doc as "Multi-Arch: foreign".

 -- Fabian Wolff <fabi.wolff@arcor.de>  Tue, 20 Jun 2017 13:51:06 +0200

fox1.6 (1.6.53-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 11 Jan 2017 20:16:45 +0100

fox1.6 (1.6.52-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Upgrade to Standard Version 3.9.8 (no changes).
  * debian/rules: Enable hardening flags & parallel build.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 29 Jun 2016 22:10:25 +0200

fox1.6 (1.6.51-1) unstable; urgency=medium

  * New upstream release.
  * New package maintainer (Closes: #801643).
  * debian/control: Upgrade to Standard Version 3.9.7 (no changes).
  * Attempt to build the package reproducibly by using the latest
    changelog entry instead of built-in __DATE__.
  * Remove unnecessary library dependencies reported by dh_shlibdeps.
  * Update all patches to follow DEP-3 format.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sun, 20 Mar 2016 19:52:27 +0100

fox1.6 (1.6.50-1) unstable; urgency=medium

  * New upstream release.
  * Add optional code into debian/rules for Ubuntu to link without
      -Bsymbolic-functions. LP: #1188185
  * Add patch: remove Nedstat Basic links in docs.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Tue, 02 Sep 2014 22:55:55 +0200

fox1.6 (1.6.49-2) unstable; urgency=low

  * Add patch: remove google adsense in docs.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 04 Jan 2014 21:16:19 +0100

fox1.6 (1.6.49-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump to Standards Version 3.9.5 (no changes).
    - Move to debhelper >= 9 and compat level 9.
    - Add fields to enable Multi-Arch only for runtime package.
    - Support transition to libtiff5.
  * Update library paths in install files and rules file.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Thu, 31 Oct 2013 00:22:14 +0100

fox1.6 (1.6.45-1) unstable; urgency=low

  * New upstream release.
  * New package maintainer.
  * debian/control:
    - Small fix of package sections and reformatting.
    - Move VCS links from obsolete SVN to new GIT repository.
    - Bump to Standards-Version 3.9.3.
    - Bump to debhelper >=8 and compat level 8.
    - Add more information to package descriptions
        and optimize short descriptions (lintian).
    - Move dependency libpng12-dev to libpng-dev. (Closes: #662331)
    - Move dependency libtiff4-dev to libtiff-dev.

  * Update URL in debian/watch file.
  * Update debian/copyright to new format.
  * Full rewrite of debian/rules using newer debhelper.
  * Update of all patches. Delete obsolete README.source file.
  * Update .dirs and .install files of all packages.
  * Add .doc-base file for -doc package.
  * Update .postinst script and add .prerm script for -dev
      package to remove alternatives. (Closes: #618324)
  * Add manpage for fox-config and fix typo in reswrap manpage (lintian).
  * Add Conflicts and Suggests to -dev package.

  * debian/rules: enable all hardened build flags.
  * Fix: setting compile flags for hardening in configure.ac.
  * Fix: use secure printer messages for hardening.
  * Disable compiling additional applications.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Thu, 17 May 2012 16:00:22 +0200

fox1.6 (1.6.44-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (closes: #620591).

 -- Luk Claes <luk@debian.org>  Mon, 30 May 2011 19:42:25 +0200

fox1.6 (1.6.44-1) unstable; urgency=low

  * Merge new upstream release 1.6.44 (closes: #617847).
  * Remove patch fix_dup_widgets_html.diff (fixed upstream).
  * Configure with XIM support (closes: #617848).
  * Provide Vcs-Svn and Vcs-Browser in debian/control.
  
  [ Micah Gersten ]
  * Install pkgconfig file with the -dev package (closes: #598326).
  
  [ Matthias Klose ]
  * Fix build failure with ld --no-add-needed.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 12 Mar 2011 00:36:20 +0100

fox1.6 (1.6.37-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 16 Mar 2010 23:10:55 +0100

fox1.6 (1.6.36-3) unstable; urgency=low

  [ Joachim Wiedorn ]
  * Patch for all Makefile.am files: change CXXFLAGS to AM_CXXFLAGS, as the
    former is supposed to be user-settable (and automake complains about it).
  * debian/control:
     - Change build dependency libjpeg62-dev to virtual package libjpeg-dev 
       (Closes: #569834).
     - Remove build dependencies g++ and quilt because not more needed.
     - Add missing misc:Depends (lintian).
  * debian/rules:
     - Remove patch and unpatch rules - not needed for format 3.0.
     - Remove include of quilt rules - not needed for format 3.0.
     - (autogen-clean:) Remove autom4te.cache
  * debian/README.source:
     - Update text about patch and unpatch.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 17 Feb 2010 23:12:12 +0100

fox1.6 (1.6.36-2) unstable; urgency=low

  * configure.in: Conditionally link libfontconfig and libfreetype2 if
    directly accessed by FOX in current configuration (closes: #554399).
  * debian/control: Build-depend directly on these libraries.
  * debian/control: Add section: libs for source package 
    (closes: #561207, #561211).
  * Update to new source format 3.0 (quilt).
  * Relax build dependencies on OpenGL libraries to allow different
    implementations (closes: #461542).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 20 Dec 2009 17:06:32 +0100

fox1.6 (1.6.36-1) unstable; urgency=low

  * New upstream release.
  * Updated config.sub, config.guess (closes: #401527, #537528). Not sure
    if those bugs were valid for fox1.6 anyway.
    Note that this is currently a hack, the whole autoconf generated code is
    updated by a quilt patch.
  * Use $(MAKE) instead of plain make in debian/rules to enable parallel
    builds.
  * Merge changes from NMU of 1.6.25-1.1 and my own upload which somehow did
    not make it to Subversion.
  * Add a debian/watch file.
  * Remove DH_COMPAT from debian/rules, set compatibility level 6 in
    debian/compat.
  * Generate autoconf, automake and libtoolize outputs during build instead
    of using a quilt patch for fixing the distributed generated files.
  * Fixes to comply with current Standards-Version:
    [ Policy 3.8.0 ]
    + Add debian/README.source with instructions how to add new patches.
    + debian/control: Add the Homepage field.
  * New patch fix_dup_widgets_html: Fixes doc/Makefile.am to not try
    installing widgets.html twice (breaks install target).
  * Depend on debhelper >= 6.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Oct 2009 19:59:32 +0100

fox1.6 (1.6.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix long-standing FTBFS on GNU/kFreeBSD (Closes: #414400):
     - Add autotools-dev to Build-Depends.
     - Copy /usr/share/misc/config.{guess,sub} before configure.
     - Delete config.{guess,sub} during clean to keep the diff clean.
  * Update Build-Depends to no longer list obsolete packages:
      - libcupsys2-dev → libcups2-dev
      - libglu1-xorg-dev → libglu1-mesa-dev
      - xlibmesa-gl-dev | libgl-dev → libgl1-mesa-dev
  * Ditto for Depends, and add ${shlibs:Depends} for the -dev package
    given that it contains the following binary: /usr/bin/reswrap-1.6,
    so that it gets a dependency on the libc.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jul 2009 12:16:28 +0200

fox1.6 (1.6.25-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Mar 2007 16:41:05 +0200

fox1.6 (1.6.14-1) unstable; urgency=low

  * New upstream release (on new stable branch).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 26 Sep 2006 21:29:26 +0200

fox1.4 (1.4.34-1) unstable; urgency=low

  * New upstream release. 
  * debian/control: Change dependency of libfox1.4-dev to allow OpenGL 
    implementations other than xlibmesa-gl-dev (closes: #348734).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 26 Sep 2006 21:13:21 +0200

fox1.4 (1.4.31-1) unstable; urgency=low

  * New upstream release (closes: #357888).
  * Apply patch by Martin Michlmayer to fix building with gcc 4.1
    (closes: #355998). Kudos for the patch, Martin!
  * Automatic automake run.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 20 Mar 2006 10:56:59 +0100

fox1.4 (1.4.16-2) unstable; urgency=low

  * src/FXSettings.cpp: Add missing error checking to all fputc and fputs
    invocations in unparseFile (closes: #300879).
  * debian/copyright: Fix address of FSF (lintian).
  * debian/libfox1.4-dev.postinst: Manage an alternative for fox-config
    and reswrap (closes: #329659).
  * debian/control: Fix synopsis of libfox1.4-doc (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 24 Sep 2005 00:23:20 +0200

fox1.4 (1.4.16-1) unstable; urgency=low

  * New upstream release.
  * Built with GCC 4.
  * debian/control: Update glu build dependency for X.org package built with
    GCC 4.
  * Add an 1.4 suffix to scripts and programs.
  * debian/control: Add dependencies to libfox1.4-dev which resemble the
    build dependencies as you can't build the simplest fox program without
    any of them.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 13 Jul 2005 22:49:21 +0200

fox1.2 (1.2.16-1) unstable; urgency=low

  * New upstream release 1.2.16.
  * Acknowledge NMU - thanks, Bastian!
  * debian/libfox1.2-dev.install: Install /usr/bin/fox-config so people
    can query the FOX installation using this script.
  * Automatic aclocal, autoconf run.

 -- Torsten Landschoff <torsten@debian.org>  Mon,  4 Jul 2005 09:47:22 +0200

fox1.2 (1.2.13-1.1) unstable; urgency=low

  * Added conflicts to libfox1.0-dev (Closes: #303327).
  * NMU.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 21 Apr 2005 14:00:41 +0200

fox1.2 (1.2.13-1) unstable; urgency=low

  * Import new upstream release, rerun automake-1.4 to fix dependencies.
  * debian/rules: Run dh_makeshlibs to create shlibs file, oh my...
    (closes: #299474).
  * configure: The Makefile figured out to rerun autoconf, which I forgot :)

 -- Torsten Landschoff <torsten@debian.org>  Mon, 14 Mar 2005 14:09:00 +0100

fox1.2 (1.2.4-2) unstable; urgency=low

  * Split files across three different packages.
  * Change to debhelper 4.
  * Fix foo.cpp : icons.h ... dependencies in Makefile.am and rerun
    automake-1.4.

 -- Torsten Landschoff <torsten@debian.org>  Thu,  3 Mar 2005 21:01:26 +0100

fox1.2 (1.2.4-1) experimental; urgency=low

  * Initial release.
  * debian/control: Update build dependencies for X11 libraries as 
    suggested by Bastian Kleineidam.
  * debian/rules: Set htmldir, artsdir and screenshotsdir during 
    make install to adjust paths.
  * src/Makefile.{in,am}: Remove FXApp.cpp : icons.h dependency. This 
    breaks building in a build directory (outside the source tree) as
    make thinks that FXApp.cpp is created from icons.h and does not 
    find the result (no wonder).
  * adie/Makefile.{in,am}: Likewise for Adie.cpp.
  * pathfinder/Makefile.{in,am}: Likewise for PathFinder.cpp.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 17 Sep 2004 20:51:03 +0200


